## mingw-w64-python-sphinxcontrib-programoutput-0.18-1.src.tar.zst

=== docs/requirements.txt ===
# extlinks started requiring a % formatter at some version
# between 1.8.5 and 4.1.2
sphinx >= 4.1.2

=== PKGBUILD ===
# Maintainer: Konstantin Podsvirov <konstantin@podsvirov.su>

_realname=sphinxcontrib-programoutput
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=0.18
pkgrel=1
pkgdesc="Sphinx extension to insert the output of arbitrary commands into documents (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://sphinxcontrib-programoutput.readthedocs.io/'
msys2_repository_url='https://github.com/OpenNTI/sphinxcontrib-programoutput'
msys2_references=(
  'purl: pkg:pypi/sphinxcontrib-programoutput'
)
license=('spdx:BSD-3-Clause')
depends=("${MINGW_PACKAGE_PREFIX}-python-sphinx")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-build"
             "${MINGW_PACKAGE_PREFIX}-python-installer"
             "${MINGW_PACKAGE_PREFIX}-python-setuptools")
source=("https://pypi.org/packages/source/${_realname::1}/${_realname/-/_}/${_realname/-/_}-${pkgver}.tar.gz")
sha256sums=('09e68b6411d937a80b6085f4fdeaa42e0dc5555480385938465f410589d2eed8')

build() {
  cp -r "${_realname/-/_}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"

  ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

package() {
  cd "${srcdir}/python-build-${MSYSTEM}"

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE"
}
